Page MenuHomePhabricator

Skill Share: Setup MediaWiki development environment
Closed, ResolvedPublic

Description

For participants interested in hacking on MediaWiki at Wikimania, we want to help you in setting up the development environment. We will walk you through step-by-step instructions, and carry out installation from a MediaWiki vagrant image that we will pre-load in a bunch of USB drives and bring it for you. We'll help you get setup in less than an hour!

What are the prerequisites of this session?

  • Bring your laptop
  • If you are a newcomer to Wikimedia projects, and not sure which technical areas you want to contribute to, we recommend you to attend 'Introduction to Wikimedia tech' session first. That way you will learn whether you need to setup MediaWiki or something else to start hacking.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2017, 10:10 PM
srishakatux triaged this task as Low priority.Jun 27 2017, 2:19 AM
greg added a subscriber: greg.Jul 24 2017, 9:07 PM

(Just to make sure: who has the USB sticks and is responsible for updating them before?)

@greg I have the USB sticks and I collected a few more recently from OIT. We have about 10-12 that should be enough.

I am yet to prepare them and copy image in them. Last time, Bryan D. pointed me to the following download link http://mediawiki-vagrant-image.wmflabs.org/mediawiki-vagrant/mediawiki-vagrant-installer.iso, but this does not seem to work anymore. Do you have any ideas?

greg added a subscriber: bd808.Jul 26 2017, 6:59 PM

I am yet to prepare them and copy image in them. Last time, Bryan D. pointed me to the following download link http://mediawiki-vagrant-image.wmflabs.org/mediawiki-vagrant/mediawiki-vagrant-installer.iso, but this does not seem to work anymore. Do you have any ideas?

I don't, sorry. @bd808 ?

Mentioned in SAL (#wikimedia-cloud) [2017-07-26T19:21:08Z] <bd808> Fixed broken puppet on mwv-builder-02.mediawiki-vagrant.eqiad.wmflabs; exim package had busted apt-get. (T168581)

Mentioned in SAL (#wikimedia-cloud) [2017-07-26T19:22:06Z] <bd808> Started mw-v container on mwv-builder-02.mediawiki-vagrant.eqiad.wmflabs (T168581)

bd808 added a comment.Jul 26 2017, 7:25 PM

I got the VM back up and running and have kicked off a new iso build to see if there are any problems with that. I'll check it later to see how things went (http://mediawiki-vagrant-image.wmflabs.org/mediawiki-vagrant/isobuild.log).

bd808 added a comment.Jul 26 2017, 7:56 PM

@srishakatux I think it should be all healed up and ready for you to download and test the iso. I didn't see anything too scary in the build log.

@bd808 Thank you very much! :) Looks neat, I am able to download successfully.

greg added a comment.Aug 2 2017, 10:09 PM

btw, I was cleaning out my desk and drawer in the WMF office yesterday and came across a bag of 15 usb sticks. :) I'll set them up tomorrow or Friday and bring them with me.

@greg WOW! That sounds great; we'll have around 25 sticks then :)

srishakatux closed this task as Resolved.Aug 18 2017, 10:02 AM

Done, and for the record, we have a total of 25 USB drives now!

How many people did we help this time?

@Rfarrand In the first round of the install party, we had two newcomers who participated but none in the second round.

OK! I think this lessons could be carried over to next year's wikimania and only have one install party there.
I think it would be worth continuing to try for two in Barcelona.
The two hackathons are different enough that lessons learned at one might not carry over to the other.
What do you think?

Qgil awarded a token.Aug 29 2017, 7:48 PM